 *,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}




img {
  display: block;
  max-width: 100%;
}

main {
  display: grid;
  place-items: top;
  max-height: 100%;
}

.container {
  display: grid;
  place-content: center;
  position: relative;
  overflow: hidden;
  border-radius: 1rem;
  --position: 50%;
  box-shadow: 2px 2px 5px hsl(0, 50%, 2%, .5);
}

.image-container {
  max-width: 1300px;
  aspect-ratio: 350/167;
}


.slider-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: left;
}

.image-before {
  position: absolute;
  inset: 0;
  width: var(--position);
  
}

.slider {
  position: absolute;
  inset: 0;
  cursor: cursor;
  opacity: 0;
  /* for Firefox */
  width: 100%;
  height: 100%;
}

.slider:focus-visible ~ .slider-button {
  outline: 5px solid red;
  outline-offset: 3px;
}

.slider-line {
  position: absolute;
  inset: 0;
  width: .2rem;
  height: 100%;
  background-color: #fff;
  /* z-index: 10; */
  left: var(--position);
  transform: translateX(-50%);
  pointer-events: none;
}


.slider-button {
  position: absolute;
  background-color: #fff;
  color: red;
  padding: .5rem;
  border-radius: 100vw;
  display: grid;
  place-items: center;
  top: 50%;
  left: var(--position);
  transform: translate(-50%, -50%);
  pointer-events: none;
  /*z-index: 100;*/ 
  box-shadow: 2px 2px 5px hsl(0, 50%, 2%, .5);
}











